# Parameter estimation of model2C with ABC
library(abc)
if(0) {
n.param <- 8
prior <- read.table(file = "prior.txt", header = TRUE)
ss <- read.table(file = "sumstat.txt", header = TRUE)
ss.data <- read.table(file = "/Users/ichiro/works/works14/aoki/abc_fsc2/observed/observed_castanopsis4pop100ind.txt", header = TRUE)

use.ss <- names(ss)
ss <- ss[, use.ss]
ss.data <- ss.data[, use.ss]

## Range of priors
bounds <- matrix(c(1, 10000, # NCUR
                   1, 10000, # NANC
                   -0.01, 0, # GRATE
                   1, 10000, # TDIV1
                   1, 10000, # TDIV2
                   0.1, 20, # NM
                   0.5, 2, # MUT_SHAPE
                   0, 0.8), # P_MEAN
                 nrow = n.param, ncol = 2, byrow = TRUE)
}
## abc
res <- abc(ss.data, prior, ss,
           #tol = 0.001,
           tol = 0.0005,
           method = "neuralnet", numnet = 20,
           transf = "logit", logit.bounds = bounds)
pdf(file = "posterior.pdf")
plot(res, prior, as = FALSE)
dev.off()

## Output posterior for later analyses
save(res, file = "posterior.RData")


